package com.company;

import java.util.Scanner;

public class Console extends Display {

    public Console(byte displayType) {
        super(displayType);
    }

    public void display(int[][] a1, int[][] a2) {
        super.display(a1, a2);
        System.out.println("  A B C D E F G H");
        for (int i = 1; i <= 8; i++) {
            System.out.print(i + " ");
            for (int j = 1; j <= 8; j++) {
                if (a2[j][i] != 0) {
                    // the unicode of white circle (there is a player2 disc)
                    System.out.print('\u25CB');
                }
                else {
                    if (a1[j][i] != 0) {
                        // the unicode of black circle (there is a player1 disc)
                        System.out.print('\u25CF');
                    }
                    else
                        // the unicode of white square (a blank)
                        System.out.print('\u25A1');
                }
                System.out.print(" ");
            }
            System.out.println();
        }
    }

    @Override
    public int[] getInput() {
        Scanner scanner = new Scanner(System.in);
        String nl = scanner.nextLine();
        char[] f = nl.toCharArray();
        int [] inputs = new int[2];
        // scanning the x and y coordinates from user
        inputs[1] = f[0] - '1' + 1;
        inputs[0] = f[2] - 'A' + 1;
        return inputs;
    }

    @Override
    public String printing(String toPrint, int playerNumber) {
        System.out.println(super.printing(toPrint, playerNumber));
        return super.printing(toPrint, playerNumber);
    }
}
